---
title: CompositionEvent.locale
slug: Web/API/CompositionEvent/locale
tags:
  - API
  - CompositionEvent
  - Deprecated
  - Locale
  - Property
  - Reference
---
<div>{{deprecated_header}}{{APIRef("DOM Events")}}</div>

<p>The <code><strong>locale</strong></code> read-only property of the {{domxref("CompositionEvent")}} interface returns the locale of current input method (for example, the keyboard layout locale if the composition is associated with IME).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>myLocale</var> = <var>CompositionEvent</var>.locale</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} representing the locale of current input method.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('DOM3 Events')}}</td>
   <td>{{Spec2('DOM3 Events')}}</td>
   <td>No longer in the spec, but still supported.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CompositionEvent.locale")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CompositionEvent")}}</li>
</ul>
